/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
   HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */

body {
  background-image: url("/assets/welcomePage_background.png");
  color: #0dec0d;
  text-shadow: 0px 0px 6px #0dec0d;
  font-family: 'Courier New', monospace;
}

/* --- SCANLINES --- */
/* --- I stole this idea from https://fenekkult.art/ --- */
  body::before {
      content: " ";
      display: block;
      position: fixed;
      top: 0;
      left: 0;
      bottom: 0;
      right: 0;
      background: linear-gradient(rgba(18, 16, 16, 0) 30%, rgba(0, 0, 0, 0.25) 50%), 
                  linear-gradient(90deg, rgba(255, 0, 0, 0.06), rgba(0, 255, 0, 0.02), rgba(0, 0, 255, 0.06));
      z-index: 999;
      background-size: 100% 2px, 1px 100%;
      pointer-events: none;
  }
  
a {
  color: #0dec0d;
  text-shadow: 0px 0px 6px #0dec0d;
}

.welcome_message{
  position: absolute;
  top: 12%;
  left: 70%;
  color: yellow;
  font-size: 30px;
  text-align: center;
  animation-duration: 0.6s;
  animation-name: loopSize;
  animation-iteration-count: infinite;
  animation-direction: alternate;
  transform: rotate(20deg);
}

@keyframes loopSize {
  from {
    font-size: 15px;
  }

  to {
    font-size: 20px;
  }
}

.welcome_container{
  width: 40%;
  position: absolute;
  top: 10%;
  right: 30%;
  text-align: center;
}

.welcome_container ul {
  list-style-type: none;
}

.welcome_container p {
  font-size: 24px;
  color: #CCC;
  text-shadow: 0px 0px 6px #999;
}

.welcome_container h1 {
  text-transform: uppercase;
}

.welcome_menu{
  border: 2px solid rgb(13, 236, 13);
  padding: 6px 6px 6px 6px;
  margin-top: 50px;
  -webkit-box-shadow:0px 0px 2px 2px #0dec0d;
  -moz-box-shadow: 0px 0px 2px 2px #0dec0d;
  box-shadow: 0px 0px 10px 1px #0dec0d;
  text-align: left;
}

.welcome_menu a{
  font-size: 33px;
  color: #0dec0d;
  text-decoration: none;
  padding-left: 15px;
  width: 100%;
  display: block;
}

.welcome_menu a:hover{ 
  transition-duration: 0.2s;
  color: #191919;
  text-shadow: 0px 0px 6px #191919;
  padding-left: 45px;
  
}

.welcome_menu p{
  padding: 0 0 0 0;
  margin: 0 0 5px 0;
}

.welcome_menu p:hover{
  background-color: yellow;
  transition-duration: 0.2s;
  box-shadow: 0px 0px 10px 1px yellow;
}

.welcome_menu .vampire:hover{
  background-color: red;
  box-shadow: 0px 0px 10px 1px red;
}


/*
.welcome_menu li{
  padding-left: 15px;
}

.welcome_menu li:hover{
  background-color: #0dec0d;
  transition-duration: 0.2s;
  color: #191919;
  text-shadow: 0px 0px 6px #191919;
  padding-left: 45px;
}

.welcome_menu li:hover a{
   color: inherit;
}
*/